TL23 test failure, eptexdir/wcfname

Ken Moffat zarniwhoop at ntlworld.com
Mon Mar 20 16:53:57 CET 2023


With TL2023 I'm seeing one test failure in Web2C 2023,

FAIL: eptexdir/wcfname

This is on recent Beyond Linux From Scratch, stepping through the
first part of the script it appears to correctly set the locale to
C.utf8 [1.], but apparently writing the temp file(s) with non-UTF8 names
failed.

Log attached.

ĸen

1. It reported three locales,
C.utf8
en_SC.utf8
es_EC.utf8
 but seems to have set the envvars for C.utf8.
-- 
Often there is no more than a little plaque to reveal that, against
all gynaecological probability, someone very famous was born halfway
up a wall.                 -- Equal Rites
-------------- next part --------------
==================================
   Web2C 2023: ./test-suite.log
==================================

# TOTAL: 107
# PASS:  103
# SKIP:  3
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

SKIP: pmpostdir/pmpsamp
=======================

#! /bin/sh -vx
# $Id: pmpsamp.test 48633 2018-09-09 17:56:55Z karl $
# Copyright 2017-2018 Karl Berry <tex-live at tug.org>
# Copyright 2014 Peter Breitenlohner <tex-live at tug.org>
# You may freely use, modify and/or distribute this file.

LC_ALL=C; export LC_ALL;  LANGUAGE=C; export LANGUAGE
+ LC_ALL=C
+ export LC_ALL
+ LANGUAGE=C
+ export LANGUAGE

tests=pmpostdir/tests
+ tests=pmpostdir/tests

test -d $tests || mkdir -p $tests
+ test -d pmpostdir/tests
+ mkdir -p pmpostdir/tests

TEXMFCNF=$srcdir/../kpathsea
+ TEXMFCNF=../../../texk/web2c/../kpathsea

tfmpath=`$KPSEWHICH cmr10.tfm` || exit 77
++ false cmr10.tfm
+ tfmpath=
+ exit 77
SKIP pmpostdir/pmpsamp.test (exit status: 77)

SKIP: pmpostdir/upmpsamp
========================

#! /bin/sh -vx
# $Id: upmpsamp.test 48633 2018-09-09 17:56:55Z karl $
# Copyright 2017-2018 Karl Berry <tex-live at tug.org>
# Copyright 2014 Peter Breitenlohner <tex-live at tug.org>
# You may freely use, modify and/or distribute this file.

LC_ALL=C; export LC_ALL;  LANGUAGE=C; export LANGUAGE
+ LC_ALL=C
+ export LC_ALL
+ LANGUAGE=C
+ export LANGUAGE

tests=pmpostdir/tests
+ tests=pmpostdir/tests

test -d $tests || mkdir -p $tests
+ test -d pmpostdir/tests

TEXMFCNF=$srcdir/../kpathsea
+ TEXMFCNF=../../../texk/web2c/../kpathsea

tfmpath=`$KPSEWHICH cmr10.tfm` || exit 77
++ false cmr10.tfm
+ tfmpath=
+ exit 77
SKIP pmpostdir/upmpsamp.test (exit status: 77)

FAIL: eptexdir/wcfname
======================

#! /bin/sh -vx
#
# Copyright 2022-2023 Japanese TeX Development Community <issue at texjp.org>
# You may freely use, modify and/or distribute this file.

test -d eptests || mkdir -p eptests
+ test -d eptests
+ mkdir -p eptests
rm -f eptests/fn*.log eptests/fn*.txt eptests/fn*.tex fn*.tex
+ rm -f 'eptests/fn*.log' 'eptests/fn*.txt' 'eptests/fn*.tex' 'fn*.tex'

rc=0
+ rc=0

TEXMFCNF=$srcdir/../kpathsea; export TEXMFCNF
+ TEXMFCNF=../../../texk/web2c/../kpathsea
+ export TEXMFCNF
TEXINPUTS=eptests:.; export TEXINPUTS
+ TEXINPUTS=eptests:.
+ export TEXINPUTS

for loc in C.UTF-8 C.utf8 en_US.UTF-8 en_US.utf8 ja_JP.UTF-8 ja_JP.utf8; do
  locale -a | grep $loc
  ret=$?
  if [ $ret = 0 ]; then
    LC_ALL=$loc; LANGUAGE=$loc; export LC_ALL LANGUAGE
    break
  fi
done
+ for loc in C.UTF-8 C.utf8 en_US.UTF-8 en_US.utf8 ja_JP.UTF-8 ja_JP.utf8
+ locale -a
+ grep C.UTF-8
+ ret=1
+ '[' 1 = 0 ']'
+ for loc in C.UTF-8 C.utf8 en_US.UTF-8 en_US.utf8 ja_JP.UTF-8 ja_JP.utf8
+ locale -a
+ grep C.utf8
C.utf8
en_SC.utf8
es_EC.utf8
+ ret=0
+ '[' 0 = 0 ']'
+ LC_ALL=C.utf8
+ LANGUAGE=C.utf8
+ export LC_ALL LANGUAGE
+ break
if [ $ret = 1 ]; then
  # linux musl fails to run `locale -a` but seems to have C.UTF-8
  loc=C.UTF-8
  LC_ALL=$loc; LANGUAGE=$loc; export LC_ALL LANGUAGE
fi
+ '[' 0 = 1 ']'

perl $srcdir/tests/fn-generate.perl eptests || exit 128
+ perl ../../../texk/web2c/tests/fn-generate.perl eptests

# pTeX internal encoding
fenc="utf8"
+ fenc=utf8
for ienc in euc sjis; do
for doc in fn-$fenc fnさざ波-$fenc; do

  echo '>>> Document:'$doc '  File Encoding:'$fenc '  Internal Encoding:'$ienc
  ./eptex -ini -interaction nonstopmode -jobname=$doc-$ienc -kanji=$fenc --kanji-internal=$ienc --shell-escape $doc.tex >eptests/$doc-$ienc-term.log || rc=1
  mv $doc-$ienc.txt $doc-$ienc.log fn*-tmp.tex eptests/
  diff eptests/$doc-$ienc.txt $srcdir/tests/fn-$fenc.txt || rc=2

done
done
+ for ienc in euc sjis
+ for doc in fn-$fenc fnさざ波-$fenc
+ echo '>>> Document:fn-utf8' '  File Encoding:utf8' '  Internal Encoding:euc'
>>> Document:fn-utf8   File Encoding:utf8   Internal Encoding:euc
+ ./eptex -ini -interaction nonstopmode -jobname=fn-utf8-euc -kanji=utf8 --kanji-internal=euc --shell-escape fn-utf8.tex
+ mv fn-utf8-euc.txt fn-utf8-euc.log 'fn*-tmp.tex' eptests/
mv: cannot stat 'fn*-tmp.tex': No such file or directory
+ diff eptests/fn-utf8-euc.txt ../../../texk/web2c/tests/fn-utf8.txt
+ for doc in fn-$fenc fnさざ波-$fenc
+ echo '>>> Document:fnさざ波-utf8' '  File Encoding:utf8' '  Internal Encoding:euc'
>>> Document:fnさざ波-utf8   File Encoding:utf8   Internal Encoding:euc
+ ./eptex -ini -interaction nonstopmode -jobname=fnさざ波-utf8-euc -kanji=utf8 --kanji-internal=euc --shell-escape fnさざ波-utf8.tex
+ mv fnさざ波-utf8-euc.txt fnさざ波-utf8-euc.log 'fn*-tmp.tex' eptests/
mv: cannot stat 'fn*-tmp.tex': No such file or directory
+ diff eptests/fnさざ波-utf8-euc.txt ../../../texk/web2c/tests/fn-utf8.txt
+ for ienc in euc sjis
+ for doc in fn-$fenc fnさざ波-$fenc
+ echo '>>> Document:fn-utf8' '  File Encoding:utf8' '  Internal Encoding:sjis'
>>> Document:fn-utf8   File Encoding:utf8   Internal Encoding:sjis
+ ./eptex -ini -interaction nonstopmode -jobname=fn-utf8-sjis -kanji=utf8 --kanji-internal=sjis --shell-escape fn-utf8.tex
+ mv fn-utf8-sjis.txt fn-utf8-sjis.log 'fn*-tmp.tex' eptests/
mv: cannot stat 'fn*-tmp.tex': No such file or directory
+ diff eptests/fn-utf8-sjis.txt ../../../texk/web2c/tests/fn-utf8.txt
+ for doc in fn-$fenc fnさざ波-$fenc
+ echo '>>> Document:fnさざ波-utf8' '  File Encoding:utf8' '  Internal Encoding:sjis'
>>> Document:fnさざ波-utf8   File Encoding:utf8   Internal Encoding:sjis
+ ./eptex -ini -interaction nonstopmode -jobname=fnさざ波-utf8-sjis -kanji=utf8 --kanji-internal=sjis --shell-escape fnさざ波-utf8.tex
+ mv fnさざ波-utf8-sjis.txt fnさざ波-utf8-sjis.log 'fn*-tmp.tex' eptests/
mv: cannot stat 'fn*-tmp.tex': No such file or directory
+ diff eptests/fnさざ波-utf8-sjis.txt ../../../texk/web2c/tests/fn-utf8.txt


# pTeX, regacy encoding
for fenc in sjis euc; do
for doc in fnさざ波-$fenc; do

  ienc=$fenc
  if [ "$COMSPEC" != "" ]; then
    echo "*** We guess OS is Windows."
    if [ $fenc != euc ]; then ienc="sjis"; fi
  else
    echo "*** We guess OS is not Windows."
    if [ $fenc != sjis ]; then ienc="euc"; fi
  fi

  echo '>>> Document:'$doc '  File Encoding:'$fenc '  Internal Encoding:'$ienc
  ./eptex -ini -interaction nonstopmode -jobname=$doc-$ienc -kanji=$fenc --kanji-internal=$ienc --shell-escape $doc.tex >eptests/$doc-$fenc-term.log || rc=3
  mv $doc-$ienc.txt $doc-$ienc.log fn*-tmp.tex eptests/
  diff eptests/$doc-$ienc.txt $srcdir/tests/fn-$fenc.txt || rc=4

done
done
+ for fenc in sjis euc
+ for doc in fnさざ波-$fenc
+ ienc=sjis
+ '[' '' '!=' '' ']'
+ echo '*** We guess OS is not Windows.'
*** We guess OS is not Windows.
+ '[' sjis '!=' sjis ']'
+ echo '>>> Document:fnさざ波-sjis' '  File Encoding:sjis' '  Internal Encoding:sjis'
>>> Document:fnさざ波-sjis   File Encoding:sjis   Internal Encoding:sjis
+ ./eptex -ini -interaction nonstopmode -jobname=fnさざ波-sjis-sjis -kanji=sjis --kanji-internal=sjis --shell-escape fnさざ波-sjis.tex
+ mv fnさざ波-sjis-sjis.txt fnさざ波-sjis-sjis.log 'fn*-tmp.tex' eptests/
mv: cannot stat 'fn*-tmp.tex': No such file or directory
+ diff eptests/fnさざ波-sjis-sjis.txt ../../../texk/web2c/tests/fn-sjis.txt
1c1
< abc ^^ce^^b1^^ce^^b2^^ce^^b3 ^^d0^^b0^^d0^^b1^^d0^^b2 あア??^^bb??^^a5 ??^^a9??^^b0??^^ba
---
> abc ?????? ?p?q?r ???A???? ?V?n?l
+ rc=4
+ for fenc in sjis euc
+ for doc in fnさざ波-$fenc
+ ienc=euc
+ '[' '' '!=' '' ']'
+ echo '*** We guess OS is not Windows.'
*** We guess OS is not Windows.
+ '[' euc '!=' sjis ']'
+ ienc=euc
+ echo '>>> Document:fnさざ波-euc' '  File Encoding:euc' '  Internal Encoding:euc'
>>> Document:fnさざ波-euc   File Encoding:euc   Internal Encoding:euc
+ ./eptex -ini -interaction nonstopmode -jobname=fnさざ波-euc-euc -kanji=euc --kanji-internal=euc --shell-escape fnさざ波-euc.tex
+ mv fnさざ波-euc-euc.txt fnさざ波-euc-euc.log 'fn*-tmp.tex' eptests/
mv: cannot stat 'fn*-tmp.tex': No such file or directory
+ diff eptests/fnさざ波-euc-euc.txt ../../../texk/web2c/tests/fn-euc.txt
1c1
< abc αβγ абв ^^e3^^81^^82^^e3^^82??^^80?¥ 天?^^9c?人
---
> abc ???¦? ?ѧҧ? ???????? ŷ?Ͽ?
+ rc=4


exit $rc
+ exit 4
FAIL eptexdir/wcfname.test (exit status: 4)

SKIP: uptexdir/sample
=====================

#! /bin/sh -vx
# $Id$
# Copyright 2022 Japanese TeX Development Community <issue at texjp.org>
# Copyright 2017-2020 Karl Berry <tex-live at tug.org>
# Copyright 2010-2013 Peter Breitenlohner <tex-live at tug.org>
# You may freely use, modify and/or distribute this file.

test -d uptests || mkdir -p uptests
+ test -d uptests

tfmpath=`$KPSEWHICH cmbx10.tfm` || exit 77
++ false cmbx10.tfm
+ tfmpath=
+ exit 77
SKIP uptexdir/sample.test (exit status: 77)



More information about the tex-live mailing list.